net.sf.jasperreports.engine.xml

## Class JRPenFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.engine.xml.JRPenFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory
  Direct Known Subclasses:
    JRPenFactory.Bottom, JRPenFactory.Box, JRPenFactory.Left, JRPenFactory.Right, JRPenFactory.Style, JRPenFactory.Top

      public class JRPenFactory
      extends JRBaseFactory

  Version:
    $Id: JRPenFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JRPenFactory.Bottom`
    `static class` | `JRPenFactory.Box`
    `static class` | `JRPenFactory.Left`
    `static class` | `JRPenFactory.Right`
    `static class` | `JRPenFactory.Style`
    `static class` | `JRPenFactory.Top`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPenFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`
    `protected static void` | `setPenAttributes(org.xml.sax.Attributes atts, JRPen pen)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRPenFactory

          public JRPenFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes atts)

    - #### setPenAttributes

          protected static void setPenAttributes(org.xml.sax.Attributes atts,
                              JRPen pen)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com